Subject: bug#17504: bug in gzgrep

From: Robert Lawhead <[email-masked]>
Date: Sat, 17 May 2014 09:32:52 -0700

Thanks for your reply Paul.
I'm no longer involved in the maintenance of the Solaris host on which I tested,
but this is what I see...
09:17:37 rml@ieng9:rml:1> uname -a
SunOS ieng9.ucsd.edu 5.11 11.1 sun4v sparc sun4v Solaris
09:17:44 rml@ieng9:rml:2> ls -l /usr/bin/gzgrep
-r-xr-xr-x 1 root bin 6010 Apr 15  2013 /usr/bin/gzgrep
09:18:01 rml@ieng9:rml:3> /usr/bin/gzgrep --version
gzgrep (gzip) 1.4

Checking an unsupported (so not updated since release of 11.1) VM...
9:29:44 rml@sol11-1:rml:3> uname -a
SunOS sol11-1 5.11 11.1 i86pc i386 i86pc Solaris
09:29:51 rml@sol11-1:rml:4> /usr/bin/gzgrep --version
gzgrep (gzip) 1.4

I'll bring this to the attention of the group maintaining the OS in question.
Thanks for your work supporting FOSS.
-Bob

On 5/17/2014 9:06 AM, Paul Eggert wrote:
> Robert Lawhead wrote:
>>      The solaris box is running fully patched 11.1.
>
> That's, odd, because on the Solaris 11.1 box I have access to, gzgrep is
> version 1.5:
>
> $ uname -srvmpi
> SunOS 5.11 11.1 i86pc i386 i86pc
> $ gzgrep --version | head -1
> gzgrep (gzip) 1.5
>
> Perhaps there's some patch set your sysadmins are not installing?
>
>> I can confirm that its present in RedHat/CentOS 6.2, and ubuntu precice1
>> which is just a few months old.
>
> I'm not surprised: those releases were originally made in 2012, and predate
> gzip 1.5.  They probably don't think this bug worth fixing.
>
> I wouldn't install gzip 1.5 (released June 2012); like gzip 1.4, it has known
> security holes (which I hope Solaris has patched).  I'd install gzip 1.6
> (released June 2013).  Please see:
>
> http://www.gnu.org/software/gzip/gzip.html